NI Series (X000) Device Firmware v1.30.8

Last Updated: Sep 14, 2018

NI-2000
NI-3000
NI-4000

Prerequisites:

  • Requires master firmware 3.60.447 or later. If this NI-device firmware is loaded on an earlier version of master firmware, the integrated device (5001) will be unavailable until the master side firmware is upgraded to 3.60.447 or later.

 

Changes in this Release:

  • Improved the performance of I/O ports to prevent lost Pushes and Release due to noisy switches.
  • General stability improvements that prevent Master lockups under certain conditions.

 

Hot Fix For Series (X000) Device (v.1.30.9 Available from AMX Technical Support)

NI-device side firmware Build v1.30.9 Release Notes

Prerequisites:
None.

Dependencies:
Requires master firmware 3.60.447 or later. If this NI-device firmware is loaded on an earlier version of master firmware, the integrated device (5001) will be unavailable until the master side firmware is upgraded to 3.60.447 or later.

Changes in this release:

  • Fixes Escape Sequence from not working correctly after a few minutes
  • Fixes "SET IO LINK <io>" command, no longer causes any conflicts